<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="b13b5e1b-b7f8-4d30-8cc0-d2e9e2c536bc" name="Default Changelist" comment="Merge branch 'master' of https://gitlab.com/igcforces/project-one-web-dashboard into userManagement&#10;&#10;# Conflicts:&#10;#&#9;.idea/inspectionProfiles/Project_Default.xml&#10;#&#9;.idea/workspace.xml&#10;#&#9;src/app/app.component.ts">
      <change afterPath="$PROJECT_DIR$/src/app/auth.guard.spec.ts" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/app/auth.guard.ts" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/dist/" />
    <ignored path="$PROJECT_DIR$/tmp/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FUSProjectUsageTrigger">
    <session id="29489132">
      <usages-collector id="statistics.lifecycle.project">
        <counts>
          <entry key="project.closed" value="1" />
          <entry key="project.open.time.1" value="1" />
          <entry key="project.open.time.51" value="1" />
          <entry key="project.opened" value="2" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.js.language.service.starts">
        <counts>
          <entry key="TsLintLanguageService" value="2" />
          <entry key="TypeScriptServerServiceImpl" value="2" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.open">
        <counts>
          <entry key="css" value="1" />
          <entry key="gitignore" value="1" />
          <entry key="html" value="3" />
          <entry key="ts" value="25" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.open">
        <counts>
          <entry key="CSS" value="1" />
          <entry key="HTML" value="3" />
          <entry key="PLAIN_TEXT" value="1" />
          <entry key="TypeScript" value="25" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.edit">
        <counts>
          <entry key="css" value="1" />
          <entry key="html" value="362" />
          <entry key="ts" value="1241" />
          <entry key="txt" value="55" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.edit">
        <counts>
          <entry key="CSS" value="1" />
          <entry key="HTML" value="362" />
          <entry key="PLAIN_TEXT" value="55" />
          <entry key="TypeScript" value="1241" />
        </counts>
      </usages-collector>
    </session>
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/app/signin/signin.component.ts">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-147">
              <caret line="2" column="41" selection-start-line="2" selection-start-column="41" selection-end-line="2" selection-end-column="41" />
              <folding>
                <element signature="e#0#50#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/app/users/users-datasource.ts">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="153">
              <caret line="27" column="25" selection-start-line="27" selection-start-column="25" selection-end-line="27" selection-end-column="25" />
              <folding>
                <element signature="e#0#54#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/app/services/user.service.ts">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="210">
              <caret line="17" column="29" lean-forward="true" selection-start-line="17" selection-start-column="29" selection-end-line="17" selection-end-column="29" />
              <folding>
                <element signature="e#0#43#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/app/services/auth.service.ts">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="244">
              <caret line="41" lean-forward="true" selection-start-line="41" selection-end-line="41" />
              <folding>
                <element signature="e#0#43#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/app/interceptor/token.interceptor.ts">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="179">
              <caret line="15" column="58" lean-forward="true" selection-start-line="15" selection-start-column="58" selection-end-line="15" selection-end-column="58" />
              <folding>
                <element signature="e#0#43#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/app/shared/navbar/navbar.component.html">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="278">
              <caret line="78" column="6" selection-start-line="78" selection-start-column="6" selection-end-line="78" selection-end-column="6" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/app/auth.guard.ts">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="238">
              <caret line="14" column="28" selection-start-line="14" selection-start-column="28" selection-end-line="14" selection-end-column="28" />
              <folding>
                <element signature="e#0#43#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/.gitignore">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="369">
              <caret line="81" lean-forward="true" selection-start-line="81" selection-end-line="81" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/app/app.module.ts">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="289">
              <caret line="41" column="26" lean-forward="true" selection-start-line="41" selection-start-column="26" selection-end-line="41" selection-end-column="26" />
              <folding>
                <element signature="e#0#79#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/app/users/users-datasource.ts" />
        <option value="$PROJECT_DIR$/src/app/signin/signin.component.ts" />
        <option value="$PROJECT_DIR$/src/app/signin/signin.component.html" />
        <option value="$PROJECT_DIR$/src/app/app.component.ts" />
        <option value="$PROJECT_DIR$/src/app/interceptor/token.interceptor.ts" />
        <option value="$PROJECT_DIR$/src/app/shared/navbar/navbar.component.ts" />
        <option value="$PROJECT_DIR$/src/app/shared/navbar/navbar.component.html" />
        <option value="$PROJECT_DIR$/src/app/app.routing.ts" />
        <option value="$PROJECT_DIR$/src/app/users/users.component.css" />
        <option value="$PROJECT_DIR$/src/app/services/user.service.ts" />
        <option value="$PROJECT_DIR$/src/app/app.module.ts" />
        <option value="$PROJECT_DIR$/src/app/auth.guard.ts" />
        <option value="$PROJECT_DIR$/src/app/services/auth.service.ts" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="NodeModulesDirectoryManager">
    <handled-path value="$PROJECT_DIR$/node_modules" />
  </component>
  <component name="NodePackageJsonFileManager">
    <packageJsonPaths>
      <path value="$PROJECT_DIR$/package.json" />
    </packageJsonPaths>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="10" />
    <option name="y" value="20" />
    <option name="width" value="1346" />
    <option name="height" value="688" />
  </component>
  <component name="ProjectLevelVcsManager">
    <ConfirmationsSetting value="1" id="Add" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="PackagesPane" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="project-one-web-dashboard" type="b2602c69:ProjectViewProjectNode" />
              <item name="project-one-web-dashboard" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="project-one-web-dashboard" type="b2602c69:ProjectViewProjectNode" />
              <item name="project-one-web-dashboard" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="project-one-web-dashboard" type="b2602c69:ProjectViewProjectNode" />
              <item name="project-one-web-dashboard" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="app" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="project-one-web-dashboard" type="b2602c69:ProjectViewProjectNode" />
              <item name="project-one-web-dashboard" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="app" type="462c0819:PsiDirectoryNode" />
              <item name="services" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="project-one-web-dashboard" type="b2602c69:ProjectViewProjectNode" />
              <item name="project-one-web-dashboard" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="app" type="462c0819:PsiDirectoryNode" />
              <item name="users" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="AndroidView" />
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="com.android.tools.idea.instantapp.provision.ProvisionBeforeRunTaskProvider.myTimeStamp" value="1547570549159" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/../../../Auth-app" />
    <property name="node.js.detected.package.tslint" value="true" />
    <property name="node.js.path.for.package.tslint" value="project" />
    <property name="node.js.selected.package.tslint" value="C:\Users\Louay\Workspace\archive\archive-dashboard\project-one-web-dashboard\node_modules\tslint" />
    <property name="nodejs_package_manager_path" value="npm" />
    <property name="ts.external.directory.path" value="C:\Users\Louay\Workspace\archive\archive-dashboard\project-one-web-dashboard\node_modules\typescript\lib" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="npm.Angular CLI Server">
    <configuration name="Angular Application" type="JavascriptDebugType" factoryName="JavaScript Debug" uri="http://localhost:4200">
      <method v="2" />
    </configuration>
    <configuration name="Angular CLI Server" type="js.build_tools.npm" factoryName="npm">
      <package-json value="$PROJECT_DIR$/package.json" />
      <command value="run" />
      <scripts>
        <script value="start" />
      </scripts>
      <node-interpreter value="project" />
      <envs />
      <method v="2" />
    </configuration>
    <list>
      <item itemvalue="JavaScript Debug.Angular Application" />
      <item itemvalue="npm.Angular CLI Server" />
    </list>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="b13b5e1b-b7f8-4d30-8cc0-d2e9e2c536bc" name="Default Changelist" comment="" />
      <created>1547465693454</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1547465693454</updated>
      <workItem from="1547465695006" duration="7694000" />
      <workItem from="1547545848192" duration="18993000" />
    </task>
    <task id="LOCAL-00001" summary="sign in model">
      <created>1547466520440</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1547466520441</updated>
    </task>
    <task id="LOCAL-00002" summary="add sign in + logout">
      <created>1547557456653</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1547557456653</updated>
    </task>
    <task id="LOCAL-00003" summary="auth: add guard routes">
      <created>1547570479949</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1547570479949</updated>
    </task>
    <option name="localTasksCounter" value="4" />
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="26687000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1382" height="744" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.24281392" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Image Layers" order="2" />
      <window_info id="Designer" order="3" />
      <window_info id="UI Designer" order="4" />
      <window_info id="Capture Tool" order="5" />
      <window_info id="Favorites" order="6" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Version Control" order="7" weight="0.3295082" />
      <window_info anchor="bottom" id="Database Changes" order="8" show_stripe_button="false" />
      <window_info anchor="bottom" id="TypeScript" order="9" weight="0.3295082" />
      <window_info anchor="bottom" id="Terminal" order="10" visible="true" weight="0.29836065" />
      <window_info anchor="bottom" id="Event Log" order="11" side_tool="true" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="right" id="Capture Analysis" order="4" />
      <window_info anchor="right" id="Theme Preview" order="5" />
      <window_info anchor="right" id="Mongo Explorer" order="6" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
      <window_info anchor="right" id="Database" order="8" />
      <window_info anchor="right" id="Maven Projects" order="9" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="sign in model" />
    <MESSAGE value="add sign in + logout" />
    <MESSAGE value="auth: add guard routes" />
    <option name="LAST_COMMIT_MESSAGE" value="auth: add guard routes" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/src/app/useful components/notifications/notifications.component.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="357">
          <caret line="21" column="31" selection-start-line="21" selection-start-column="31" selection-end-line="21" selection-end-column="31" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/app/useful components/notifications/notifications.component.html">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/app/signin/signin.component.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="91">
          <caret line="29" column="13" lean-forward="true" selection-start-line="29" selection-start-column="13" selection-end-line="29" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/app/shared/navbar/navbar.module.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <folding>
            <element signature="e#0#41#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/app/services/document.service.ts">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/app/shared/footer/footer.component.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="51">
          <caret line="3" lean-forward="true" selection-start-line="3" selection-end-line="3" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/app/shared/navbar/navbar.component.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1139">
          <caret line="67" column="29" lean-forward="true" selection-start-line="67" selection-start-column="29" selection-end-line="67" selection-end-column="29" />
          <folding>
            <element signature="e#0#62#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/app/users/users.component.css">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="153">
          <caret line="9" column="20" selection-start-line="9" selection-start-column="20" selection-end-line="9" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/app/app.component.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="85">
          <caret line="11" column="14" selection-start-line="11" selection-start-column="14" selection-end-line="11" selection-end-column="14" />
          <folding>
            <element signature="e#0#50#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/app/app.routing.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="204">
          <caret line="22" column="15" lean-forward="true" selection-start-line="22" selection-start-column="15" selection-end-line="22" selection-end-column="15" />
          <folding>
            <element signature="e#0#41#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/app/services/user.service.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="210">
          <caret line="17" column="29" lean-forward="true" selection-start-line="17" selection-start-column="29" selection-end-line="17" selection-end-column="29" />
          <folding>
            <element signature="e#0#43#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/app/signin/signin.component.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-147">
          <caret line="2" column="41" selection-start-line="2" selection-start-column="41" selection-end-line="2" selection-end-column="41" />
          <folding>
            <element signature="e#0#50#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/app/users/users-datasource.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="153">
          <caret line="27" column="25" selection-start-line="27" selection-start-column="25" selection-end-line="27" selection-end-column="25" />
          <folding>
            <element signature="e#0#54#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/app/app.module.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="289">
          <caret line="41" column="26" lean-forward="true" selection-start-line="41" selection-start-column="26" selection-end-line="41" selection-end-column="26" />
          <folding>
            <element signature="e#0#79#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/app/services/auth.service.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="244">
          <caret line="41" lean-forward="true" selection-start-line="41" selection-end-line="41" />
          <folding>
            <element signature="e#0#43#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/app/shared/navbar/navbar.component.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="278">
          <caret line="78" column="6" selection-start-line="78" selection-start-column="6" selection-end-line="78" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/app/interceptor/token.interceptor.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="179">
          <caret line="15" column="58" lean-forward="true" selection-start-line="15" selection-start-column="58" selection-end-line="15" selection-end-column="58" />
          <folding>
            <element signature="e#0#43#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/app/auth.guard.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="238">
          <caret line="14" column="28" selection-start-line="14" selection-start-column="28" selection-end-line="14" selection-end-column="28" />
          <folding>
            <element signature="e#0#43#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/.gitignore">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="369">
          <caret line="81" lean-forward="true" selection-start-line="81" selection-end-line="81" />
        </state>
      </provider>
    </entry>
  </component>
</project>